#include"TcPch.h"
#pragma hdrstop
#include"IoWaferRobot.h"
#include"DEVICE.h"
#include"debug.h"
IoWaferRobot::IoWaferRobot(const char* className,const char* name,const char* module):BaseDevice(className, name, module){
}
//AUTOIO_BEGIN
IoWaferRobot* _initIoWaferRobot_0(){
	static IoWaferRobot staticIoWaferRobot("IoWaferRobot","IoWaferRobot",MODULE_NAME);
	IoWaferRobot::poIoWaferRobot=&staticIoWaferRobot;
	IoWaferRobot* dev=&staticIoWaferRobot;
	strcpy(dev->id,"IoWaferRobot");
	strcpy(dev->display,"IoWaferRobot");
	strcpy(dev->schematicId,"IoWaferRobot");
	strcpy(dev->unit,"");
	strcpy(dev->diInFIMS1,"DI_WaferRobotAtPOD1Area");
	strcpy(dev->diInFIMS2,"DI_WaferRobotAtPOD2Area");
	strcpy(dev->diInBoatRotate,"DI_WaferRobotAtBoatRotaryArea");
	dev->diBlade1WaferPresent.create("diBlade1WaferPresent",&NDI->WaferRobotWafer_1Checked,"NDI.WaferRobotWafer_1Checked",TRUE);
	dev->diBlade2WaferPresent.create("diBlade2WaferPresent",&NDI->WaferRobotWafer_2Checked,"NDI.WaferRobotWafer_2Checked",TRUE);
	dev->diBlade3WaferPresent.create("diBlade3WaferPresent",&NDI->WaferRobotWafer_3Checked,"NDI.WaferRobotWafer_3Checked",TRUE);
	return dev;
}
IoWaferRobot* _initIoWaferRobot_1(IoWaferRobot *dev){
	dev->diBlade4WaferPresent.create("diBlade4WaferPresent",&NDI->WaferRobotWafer_4Checked,"NDI.WaferRobotWafer_4Checked",TRUE);
	dev->diBlade5WaferPresent.create("diBlade5WaferPresent",&NDI->WaferRobotWafer_5Checked,"NDI.WaferRobotWafer_5Checked",TRUE);
	strcpy(dev->scRootPath,"");
	return dev;
}
void initIoWaferRobot(){
	IoWaferRobot* dev;
	dev=_initIoWaferRobot_0();
	_initIoWaferRobot_1(dev);
}
IoWaferRobot* IoWaferRobot::poIoWaferRobot=NULL;
//AUTOIO_END
